#lagom-one-step-order.checkout-page .panel-orderfields .panel-body {
  display: flex;
  flex-direction: column;
  row-gap: 12px; }

#lagom-one-step-order.checkout-page .panel-orderfields .checkbox {
  flex-direction: column;
  align-items: flex-start !important;
  margin: 0 !important; }

#lagom-one-step-order.checkout-page .panel-orderfields .label-optional {
  color: var(--gray-lighter);
  text-transform: lowercase;
  margin-left: auto; }

#lagom-one-step-order.checkout-page .panel-orderfields .label-order-field {
  width: 100% !important;
  display: flex !important; }
  #lagom-one-step-order.checkout-page .panel-orderfields .label-order-field .title {
    margin-right: 8px; }

#lagom-one-step-order.checkout-page .panel-orderfields .description-order-field {
  display: block;
  font-size: var(--font-size-sm);
  line-height: var(--line-height-sm);
  margin-top: 6px;
  color: var(--text-lighter-color); }

#lagom-one-step-order.checkout-page .section-promocode {
  margin-top: var(--ca-section-spacing); }
  #lagom-one-step-order.checkout-page .section-promocode .search-box-promocode {
    margin-bottom: 24px; }

#lagom-one-step-order.checkout-page .search-box.search-box-promo .alert.alert-sm {
  padding: 3px 6px; }

#lagom-one-step-order.checkout-page .section.section-promo-sidebar .alert.alert-sm {
  padding: 3px 6px; }

#lagom-one-step-order.checkout-page .promo-link {
  display: block;
  width: 100%;
  text-align: center;
  color: var(--text-body-color);
  text-align: center;
  cursor: pointer;
  font-size: var(--font-size-sm);
  line-height: 20px;
  margin-top: calc(-1* var(--spacing-1x));
  transition: 0.3s; }
  #lagom-one-step-order.checkout-page .promo-link:hover {
    color: var(--text-primary-color); }
  #lagom-one-step-order.checkout-page .promo-link.promo-link-sidebar.hidden + .section-body.section-body-promo-link {
    display: block; }

#lagom-one-step-order.checkout-page .section-body-promo-link {
  display: none; }

#lagom-one-step-order.checkout-page .promocode {
  color: var(--text-body-color);
  margin-top: calc(-1* var(--spacing-1x)); }
  #lagom-one-step-order.checkout-page .promocode .input-group {
    border: 1px solid transparent;
    width: 100%;
    padding: 8px 8px 8px 16px;
    border-radius: var(--border-radius-base);
    z-index: 5;
    flex-wrap: nowrap;
    border: var(--ui-block-border);
    box-shadow: var(--ui-block-shadow);
    background: var(--ui-block-bg);
    align-items: center; }
    #lagom-one-step-order.checkout-page .promocode .input-group-promocode {
      display: flex;
      justify-content: center;
      align-items: flex-start;
      flex-direction: column;
      margin: 0 16px;
      width: 100%; }
      #lagom-one-step-order.checkout-page .promocode .input-group-promocode .promo-name {
        font-size: var(--font-size-base);
        line-height: var(--line-height-base);
        font-weight: var(--font-weight-medium);
        color: var(--label-savings-color); }
      #lagom-one-step-order.checkout-page .promocode .input-group-promocode .promo-desc {
        font-size: var(--font-size-sm);
        line-height: var(--line-height-sm);
        color: var(--label-savings-color); }
    #lagom-one-step-order.checkout-page .promocode .input-group > svg {
      min-width: 18px;
      width: 18px;
      height: 18px; }
    #lagom-one-step-order.checkout-page .promocode .input-group input {
      height: 36px; }
    #lagom-one-step-order.checkout-page .promocode .input-group > input {
      border: 0;
      padding: 0;
      font-size: var(--font-size-base); }
    #lagom-one-step-order.checkout-page .promocode .input-group .btn {
      height: 36px; }
  #lagom-one-step-order.checkout-page .promocode-enabled .input-group > input {
    background: transparent; }
    #lagom-one-step-order.checkout-page .promocode-enabled .input-group > input::placeholder {
      color: var(--text-heading-color); }

#lagom-one-step-order.checkout-page .price-left-h .price-amount {
  align-items: flex-start !important;
  text-align: left; }

@media (max-width: 768px) {
  #lagom-one-step-order.checkout-page .panel-cart .panel-footer .content .btn:last-child {
    width: 100% !important;
    margin-left: 0 !important; } }

.flex-order-0 {
  order: 0 !important; }

.flex-order-1 {
  order: 1 !important; }

.flex-order-2 {
  order: 2 !important; }

.flex-order-3 {
  order: 3 !important; }

.flex-order-4 {
  order: 4 !important; }

.flex-order-5 {
  order: 5 !important; }

.flex-order-6 {
  order: 6 !important; }

.flex-order-7 {
  order: 7 !important; }

.flex-order-8 {
  order: 8 !important; }

.flex-order-9 {
  order: 9 !important; }

.flex-order-10 {
  order: 10 !important; }

.flex-order-11 {
  order: 11 !important; }

.flex-order-12 {
  order: 12 !important; }

.flex-order-13 {
  order: 13 !important; }

.flex-order-14 {
  order: 14 !important; }

.flex-order-15 {
  order: 15 !important; }

.flex-order-16 {
  order: 16 !important; }

#lagom-one-step-order.checkout-page .nav-tabs a {
  color: var(--nav-tabs-link-color); }

.cart-item-config .config-option:not(.hoverable) .config-option-price .item-price {
  color: var(--text-body-color); }

.panel-cart .cart-item .renewal {
  line-height: var(--line-height-base);
  font-size: var(--font-size-base); }

.cart-item-qty .input-number .input-number-actions {
  transition: var(--transition-base); }

.cart-item-qty:has(input:focus) .input-number,
.cart-item-qty:has(input:focus) .input-number-actions {
  border-color: var(--input-focus-border-color); }

.cart-item-qty:hover .input-number,
.cart-item-qty:hover .input-number:not(.disabled).input-number-actions {
  border-color: var(--input-focus-border-color); }

@media (min-width: 992px) {
  .lagom-layout-left-wide .main-content.main-content-m-w, .lagom-layout-left .main-content.main-content-m-w, .lagom-layout-top .main-content.main-content-m-w {
    max-width: calc(100% - (var(--main-sidebar-lg-width) * 0.8) - var(--main-sidebar-spacing-h)); } }

@media (min-width: 1320px) {
  .lagom-layout-left-wide .main-content.main-content-m-w, .lagom-layout-left .main-content.main-content-m-w, .lagom-layout-top .main-content.main-content-m-w {
    max-width: calc(100% - var(--main-sidebar-lg-width) - var(--main-sidebar-spacing-h)); } }

.list-item-promo .item-value {
  white-space: nowrap; }

#lagom-one-step-order.confirmation-page .message-container {
  display: flex;
  flex-direction: column;
  gap: var(--ui-block-spacing-lg);
  max-width: 700px;
  width: 100%;
  align-items: center; }

#lagom-one-step-order.confirmation-page .message-icon {
  width: 112px;
  height: 112px;
  border: none;
  background-color: var(--gray-faded); }

#lagom-one-step-order.confirmation-page .message-description {
  display: flex;
  flex-direction: column;
  gap: 2px;
  text-align: center; }
  #lagom-one-step-order.confirmation-page .message-description h2 {
    font-size: var(--font-size-h4);
    font-weight: var(--font-weight-medium);
    line-height: var(--line-height-h4);
    color: var(--gray-darker); }
  #lagom-one-step-order.confirmation-page .message-description p {
    font-size: var(--font-size-xlg);
    font-weight: 300;
    line-height: var(--line-height-xlg); }
    #lagom-one-step-order.confirmation-page .message-description p span {
      color: var(--gray-darker);
      font-weight: 500; }

#lagom-one-step-order.confirmation-page .complete-summary {
  display: flex;
  flex-direction: column;
  gap: var(--ui-block-spacing-base);
  width: 100%;
  padding: 16px 24px;
  border-radius: 4px;
  border: 1px solid var(--gray-lighter-4);
  background-color: var(--gray-faded); }
  #lagom-one-step-order.confirmation-page .complete-summary-title {
    color: var(--gray-darker);
    font-weight: var(--font-weight-medium);
    font-size: var(--font-size-md);
    line-height: var(--line-height-md); }
  #lagom-one-step-order.confirmation-page .complete-summary-footer {
    display: flex;
    gap: var(--ui-block-spacing-base);
    padding-top: 10px;
    border-top: 1px solid var(--gray-lighter-4); }
    @media (max-width: 768px) {
      #lagom-one-step-order.confirmation-page .complete-summary-footer {
        flex-direction: column;
        gap: var(--ui-block-spacing-xs); } }
    #lagom-one-step-order.confirmation-page .complete-summary-footer-item {
      color: var(--gray-base);
      font-weight: var(--font-weight-light);
      font-size: var(--font-size-base);
      line-height: var(--line-height-base);
      margin-bottom: 0;
      display: flex;
      gap: 6px; }
      #lagom-one-step-order.confirmation-page .complete-summary-footer-item span:not(.label) {
        color: var(--gray-darker);
        font-weight: 400; }
      #lagom-one-step-order.confirmation-page .complete-summary-footer-item .label {
        margin-bottom: 0; }

#lagom-one-step-order.confirmation-page .complete-support-note {
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-light);
  line-height: var(--line-height-md);
  color: var(--gray-base);
  text-align: center;
  margin-bottom: 0; }

#lagom-one-step-order.confirmation-page .alert {
  display: flex;
  gap: var(--ui-block-spacing-base);
  border-radius: 4px;
  margin-bottom: 0; }
  @media (max-width: 768px) {
    #lagom-one-step-order.confirmation-page .alert {
      flex-direction: column; } }
  #lagom-one-step-order.confirmation-page .alert-body {
    display: flex;
    gap: 10px;
    padding-left: 0; }
    #lagom-one-step-order.confirmation-page .alert-body i {
      height: 22px;
      display: flex;
      align-items: center; }
  #lagom-one-step-order.confirmation-page .alert-actions {
    padding-left: 0; }
    @media (max-width: 768px) {
      #lagom-one-step-order.confirmation-page .alert-actions {
        width: 100%; }
        #lagom-one-step-order.confirmation-page .alert-actions a {
          width: 100%; } }

#lagom-one-step-order.confirmation-page .complete-summary-list {
  display: flex;
  flex-direction: column;
  gap: var(--ui-block-spacing-lg); }
  #lagom-one-step-order.confirmation-page .complete-summary-list .item {
    display: flex;
    flex-direction: column;
    gap: 8px; }
    #lagom-one-step-order.confirmation-page .complete-summary-list .item .item-name-container {
      white-space: nowrap;
      min-width: 80px;
      overflow: hidden;
      text-overflow: ellipsis; }
    #lagom-one-step-order.confirmation-page .complete-summary-list .item .item-group {
      color: var(--gray-base); }
    #lagom-one-step-order.confirmation-page .complete-summary-list .item .item-name {
      font-weight: var(--font-weight-base); }
      #lagom-one-step-order.confirmation-page .complete-summary-list .item .item-name span:not(.qty) {
        color: var(--link-color); }
    #lagom-one-step-order.confirmation-page .complete-summary-list .item .qty {
      position: relative;
      min-width: min-content;
      padding: 2px;
      background-color: transparent;
      border: 1px solid var(--input-border-color);
      border-radius: var(--border-radius-xs);
      font-size: var(--font-size-xxs);
      line-height: var(--line-height-xxs);
      color: var(--text-heading-color);
      font-weight: var(--font-weight-medium); }
    #lagom-one-step-order.confirmation-page .complete-summary-list .item .item-price {
      font-weight: var(--font-weight-base);
      text-align: right;
      flex-grow: 1; }
      @media (max-width: 480px) {
        #lagom-one-step-order.confirmation-page .complete-summary-list .item .item-price {
          display: flex;
          flex-direction: column; } }
    #lagom-one-step-order.confirmation-page .complete-summary-list .item .item-setup-fee {
      white-space: nowrap; }
    #lagom-one-step-order.confirmation-page .complete-summary-list .item-promo .item-main {
      color: var(--label-savings-color);
      font-weight: var(--font-weight-medium); }
    #lagom-one-step-order.confirmation-page .complete-summary-list .item-promo .item-name {
      vertical-align: middle; }
  #lagom-one-step-order.confirmation-page .complete-summary-list .item-main {
    display: flex;
    align-items: center;
    gap: 6px;
    font-weight: var(--font-weight-light);
    font-size: var(--font-size-base);
    line-height: var(--line-height-base);
    color: var(--gray-darker); }
  #lagom-one-step-order.confirmation-page .complete-summary-list .sub-item-list {
    display: flex;
    flex-direction: column;
    padding-left: 20px;
    position: relative;
    gap: 4px; }
    #lagom-one-step-order.confirmation-page .complete-summary-list .sub-item-list::before {
      content: '';
      position: absolute;
      left: 4px;
      top: 0;
      width: 1px;
      height: 100%;
      background-color: var(--gray-lighter-4); }
    #lagom-one-step-order.confirmation-page .complete-summary-list .sub-item-list .sub-item {
      display: flex;
      gap: 6px;
      font-weight: var(--font-weight-light);
      font-size: var(--font-size-sm);
      line-height: var(--line-height-sm);
      color: var(--gray-darker); }


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/